Subject: Re: [PATCH v2 0/4] net: drop netif_attrmask_next*()

From: "Michael S. Tsirkin" <[email-masked]>
Date: Fri, 14 Oct 2022 10:20:27 -0400

On Thu, Oct 13, 2022 at 04:43:44PM -0700, Yury Norov wrote:
> netif_attrmask_next_and() generates warnings if CONFIG_DEBUG_PER_CPU_MAPS
> is enabled. It is used in a single place. netif_attrmask_next() is not
> used at all. With some rework of __netif_set_xps_queue(), we can drop
> both functions, switch the code to well-tested bitmap API and fix the
> warning.
> 
> v1: https://lore.kernel.org/netdev/[email-masked]/T/
> v2: Fix missed bitmap initialization in patch #3.

does not seem to fix the warning
https://lore.kernel.org/r/0000000000001d91e205eafc3d01%40google.com

is it supposed to fix it?

> Yury Norov (4):
>   net: move setup code out of mutex in __netif_set_xps_queue()
>   net: merge XPS_CPU_DEV_MAPS_SIZE and XPS_RXQ_DEV_MAPS_SIZE macros
>   net: initialize online_mask unconditionally in __netif_set_xps_queue()
>   net: fix opencoded for_each_and_bit() in __netif_set_xps_queue()
> 
>  include/linux/netdevice.h | 53 ++-------------------------------------
>  net/core/dev.c            | 35 ++++++++++++++------------
>  2 files changed, 21 insertions(+), 67 deletions(-)
> 
> -- 
> 2.34.1